summarylogtreecommitdiffstats
path: root/systemd.install
diff options
context:
space:
mode:
Diffstat (limited to 'systemd.install')
-rw-r--r--systemd.install17
1 files changed, 17 insertions, 0 deletions
diff --git a/systemd.install b/systemd.install
index d5f0a68ff66e..1b9c6e259e10 100644
--- a/systemd.install
+++ b/systemd.install
@@ -13,6 +13,10 @@ add_journal_acls() {
post_common() {
systemd-sysusers
journalctl --update-catalog
+
+ if ! grep -qe '^/usr/bin/systemd-home-fallback-shell$' etc/shells; then
+ echo '/usr/bin/systemd-home-fallback-shell' >> etc/shells
+ fi
}
post_install() {
@@ -41,6 +45,15 @@ post_upgrade() {
systemctl kill --kill-whom='main' --signal='SIGRTMIN+25' 'user@*.service'
fi
+ # show for feature release: 255 -> 256 -> 257 -> ...
+ if [ $(vercmp "${1%%[!0-9]*}" "${2%%[!0-9]*}") -ne 0 ]; then
+ cat <<-EOM
+ :: This is a systemd feature update. You may want to have a look at
+ NEWS for what changed, or if you observe unexpected behavior:
+ /usr/share/doc/systemd/NEWS
+ EOM
+ fi
+
local v upgrades=(
)
@@ -51,4 +64,8 @@ post_upgrade() {
done
}
+post_remove() {
+ sed -i -r '/^\/usr\/bin\/systemd-home-fallback-shell$/d' etc/shells
+}
+
# vim:set ts=2 sw=2 et: